|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QWorkspace

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QWorkspace class reference

### Public Functions

- QWorkspace ( QWidget * parent, const char * name )
- void setPaletteBackgroundColor ( const QColor & c )
- void setPaletteBackgroundPixmap ( const QPixmap & pm )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### QWorkspace::QWorkspace ( QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### void QWorkspace::setPaletteBackgroundColor ( const QColor & c )

Sets the background color to c. Use setBackground() instead.

### void QWorkspace::setPaletteBackgroundPixmap ( const QPixmap & pm )

Sets the background pixmap to pm. Use setBackground() instead.